# classes/phing/types/selectors/ExtendSelector.php

Selector that selects files by forwarding the request on to other classes.

TODO - Consider adding Path (phing.types.Path) support to this class and to the Mappers class. See Ant versions for implimentation details.

author
  Hans Lellelid <hans@xmpl.org> (Phing)
author
  Bruce Atherton <bruce@callenish.com> (Ant)
package
  phing.types.selectors

## \ExtendSelector
jump to top

Selector that selects files by forwarding the request on to other classes.

TODO - Consider adding Path (phing.types.Path) support to this class and to the Mappers class. See Ant versions for implimentation details.

Extends from
  \BaseSelector
author
  Hans Lellelid <hans@xmpl.org> (Phing)
author
  Bruce Atherton <bruce@callenish.com> (Ant)
package
  phing.types.selectors
version
  $Revision: 526 $

### Properties

`$classname= ''`
Details

Type

`$dynselector= ''`
Details

Type

`$parameters= 'array'`
Default value `array` Details

Type

### Methods

`addParam( \p $p ) :`
Create new parameters to pass to custom selector.
Parameters

Name | Type | Description
--- | --- | ---
$p | \p | The new Parameter object

`isSelected( $basedir, $filename, $file ) :`
Allows the custom selector to choose whether to select a file. This is also where the Parameters are passed to the custom selector.
Parameters

Name | Type | Description
--- | --- | ---
$basedir |  |
$filename |  |
$file |  |

Details

throws

`selectorCreate( ) :`
Instantiates the identified custom selector class.
`setClassname( \classname $classname ) :`
Sets the classname of the custom selector.
Parameters

Name | Type | Description
--- | --- | ---
$classname | \classname | is the class which implements this selector

`verifySettings( ) :`
These are errors specific to ExtendSelector only. If there are errors in the custom selector, it should throw a BuildException when isSelected() is called.
Documentation was generated by DocBlox 0.13.1.